#pragma once
/*
 * Created by Brett on 16/12/23.
 * Licensed under GNU General Public License V3.0
 * See LICENSE file for license detail
 */

#ifndef BLT_GL_INCLUDES_H
#define BLT_GL_INCLUDES_H

// emscripten provides its own gl bindings.
#ifndef __EMSCRIPTEN__
    #include <glad/gl.h>
#else
    #include <GLES2/gl2.h>
    #include <emscripten.h>
    #define GL_GLEXT_PROTOTYPES
    #define EGL_EGLEXT_PROTOTYPES
#endif

#endif //BLT_GL_INCLUDES_H
