#ifdef __cplusplus
#include <string>
const std::string shader_2d_textured_vert = R"("
#version 300 es
precision mediump float;

layout (location = 0) in vec3 vertex;
layout (location = 1) in vec2 uv_in;

out vec2 pos;
out vec2 uv;

layout (std140) uniform GlobalMatrices
{
    mat4 projection;
    mat4 ortho;
    mat4 view;
    mat4 pvm;
    mat4 ovm;
};

uniform mat4 model;

void main()  {
    gl_Position = ortho * model * vec4(vertex, 1.0);
    pos = vertex.xy;
    uv = uv_in;
}

")";
#endif